Package Details: systemd-kcm 1.2.1-5

Git Clone URL: https://aur.archlinux.org/systemd-kcm.git (read-only)
Package Base: systemd-kcm
Description: Systemd control module for KDE
Upstream URL: https://github.com/rthomsen/kcmsystemd
Licenses: GPL
Submitter: arojas
Maintainer: fordprefect
Last Packager: fordprefect
Votes: 15
Popularity: 2.76
First Submitted: 2018-05-30 21:58
Last Updated: 2019-11-07 21:09

Latest Comments

1 2 Next › Last »

fordprefect commented on 2019-11-07 21:10

finally tested and pushed the fix, thx for your patience

vagorafaelino commented on 2019-10-28 04:09

@vagorafaelino: did you verify the functionality of the plugin? Otherwise this "fix" is pointless…

Yeah! I'm using it without problem

fordprefect commented on 2019-10-22 07:05

@vagorafaelino: did you verify the functionality of the plugin? Otherwise this "fix" is pointless…

vagorafaelino commented on 2019-10-17 23:29

I found a workaround

  • Inside package function, add this line after make command

rm "$pkgdir"/usr/share/kservices5/settings-system-administration.desktop

  • Rebuild & enjoy!

fordprefect commented on 2019-10-17 09:28

@webcapcha: I'm afraid this makes this package not working anymore. Upstream has not released (or even committed) in 5 years, so breakage was just a question of time. I advise removing this package. If you feel like it you can investigate the code to adapt it to KDE 5.17, but I honestly don't see this happening.

webcapcha commented on 2019-10-15 19:26

With newest update to plasma 5.17 I got an error

error: failed to commit transaction (conflicting files) systemsettings: /usr/share/kservices5/settings-system-administration.desktop exists in filesystem (owned by systemd-kcm) Errors occurred, no packages were upgraded.

fightcookie commented on 2018-06-06 10:03

Please change the source URL to the TLS encrypted https variant instead of plain http! I tested it and it works perfectly. Thanks :)

piedro commented on 2018-06-02 11:19

Same error for me: unrecognized option '--color never'

darkbasic commented on 2018-06-01 10:58

Am I the only one who gets the following error? /usr/bin/pacman: unrecognized option '--color never'

Is it because of pacaur or is the pkgbuild broken?

dixi_minga commented on 2018-05-31 20:26

I followed eaburto and Tara:

  • downlaod snapshot
  • do makepkg -> error appears
  • edit src/systemd-kcm-1.2.1/src/CMakeLists.txt
  • there comment last line -> "# qt5_use_modules(kcm_systemd Widgets DBus)"
  • add line below: "target_link_libraries(kcm_systemd Qt5::Widgets Qt5::DBus)"
  • makepkg -e
  • pacman -U systemd-kcm-1.2.1-3-x86_64.pkg.tar.xz

And of course I have no idea, what I have done